---
# Install base dependencies for an Ansible node.
#
# Normally all you need is ssh, but sometimes there's a little more work
# involved.  For more information, see:
#   * https://docs.ansible.com/ansible/intro_installation.html#managed-node-requirements
#   * https://groups.google.com/forum/#!topic/ansible-project/DUKzTho3OCI
#
# Since this uses raw commands, it won't skip operations that don't need to be
# run, so this should only be included *once* when a server is provisioned.

- name: apt-get update
  raw: apt-get update -qq
  become: yes
- name: install python2 as /usr/bin/python
  raw: apt-get install -qq python-minimal
  become: yes
